Bug 1634681 - KDE application launcher menu stops working after prolonged use
Summary: KDE application launcher menu stops working after prolonged use
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-01 11:09 UTC by Basic Six
Modified: 2018-11-30 23:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:16:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Basic Six 2018-10-01 11:09:36 UTC
Description of problem:

After several hours or days, the application launcher menu in KDE stops working. That's the main menu or start menu in the bottom left corner, which is used to launch applications and to shut down the system.

Note that this behavior can be observed on computers that aren't shut down every evening. Many people leave their computers on most of the time, laptops are often hibernated before they're taken out of their docking station, to be used in another location the next day. I haven't yet figured out a specific time span after which KDE breaks.

When it happens, it's not possible to open the KDE application launcher menu at all. Nothing happens when you click on it and Alt + F1 doesn't work either.
That also means that the user cannot log out, hibernate or turn off the computer because that's all in the same menu, which is now dead.



Version-Release number of selected component (if applicable):

Fedora 27
plasmashell 5.12.4
KDE Frameworks: 5.44.0



How reproducible:

It happens when the computer is used for several days without shutting it down.



Steps to Reproduce:
1. Log into a KDE session and do your thing.
2. Don't shut down in the evening. Hibernate if necessary, to keep unsaved work and running applications.
3. At some point in time, you click on the menu button to hibernate the system because, well, maybe you're in a hurry. It doesn't work, the menu won't open.



Actual results:

The menu stops working after some time, it won't open anymore.



Expected results:

It should keep working.



Additional info:

I had previously opened Bug 1352205 because sometimes, the menu did open but the "Logout", "Shutdown" buttons stopped working - that was in Fedora 23.
Now, in Fedora 27, the whole KDE menu stops working. Those might even be two symptoms of the same bug, but I'm opening this bug report anyway since nobody commented in the old one.

As mentioned in Bug 1352205, it's still possible to log out and safely turn off the computer instead of pulling the plug - if you're able to open a terminal (Ctrl + Alt + T).
This command can be used to hibernate the system (KDE 5):
qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement CanHibernate && qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement Hibernate

It seems that the KDE menu is (usually) usable again after hibernating and then resuming the system. So that's a workaround. Unless the session is mysteriously lost and a new KDE session is started after login, with all previously running programs gone, which unfortunately does happen from time to time, but I suppose that's a different issue.

Comment 1 Ben Cotton 2018-11-27 14:00:23 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:16:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.